Page MenuHomePhabricator

Reference shown duplicated in the source document
Closed, ResolvedPublic

Description

When translating "Proteste in Hongkong 2019" from German to Dutch, the "Weblinks" section contains some items based on the Internetquelle template. When these are loaded in Content translation those templates appear duplicated in the source document.

Below you can see how the item of the second bullet point is shown in the source article, Visual Editor and Content translation:

ArticleVisual EditorContent translation

As shown above, when rendered in Content translation the template is duplicated ("massive proteste..." text appears twice one after the other, being the second one highlighted)

This report is based on this user comment.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptSep 20 2019, 1:04 PM
Pginer-WMF triaged this task as Medium priority.Sep 23 2019, 11:46 AM
Pginer-WMF moved this task from Needs Triage to Bugs on the ContentTranslation board.

Change 556151 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Do not attempt to sentence segment the content inside a transclusion textblock

https://gerrit.wikimedia.org/r/556151

screenshot after the fix

Change 556151 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Do not attempt to sentence segment the content inside a transclusion textblock

https://gerrit.wikimedia.org/r/556151

Change 558778 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2019-12-11-144337-production

https://gerrit.wikimedia.org/r/558778

Change 558778 merged by KartikMistry:
[operations/deployment-charts@master] Update cxserver to 2019-12-11-144337-production

https://gerrit.wikimedia.org/r/558778

Mentioned in SAL (#wikimedia-operations) [2019-12-19T04:29:33Z] <kart_> Update cxserver to 2019-12-11-144337-production (T233405, T238118)

Deployed in Production.

Jpita added a subscriber: Jpita.Thu, Jan 2, 5:09 PM

@santhosh I still see the issue translating this from German to Dutch.
@KartikMistry can you confirm this is deployed in production?

@santhosh I still see the issue translating this from German to Dutch.
@KartikMistry can you confirm this is deployed in production?

Image corresponding to this ticket is 2019-12-16-085258-production and it is not deployed in production yet.

Change 562799 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2020-01-06-070550-production

https://gerrit.wikimedia.org/r/562799

Change 562799 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2020-01-06-070550-production

https://gerrit.wikimedia.org/r/562799

Mentioned in SAL (#wikimedia-operations) [2020-01-08T12:08:46Z] <kart_> Updated cxserver to 2020-01-06-070550-production (T233405)

@Jpita This is deployed in Production.

Pginer-WMF closed this task as Resolved.Fri, Jan 10, 1:03 PM